function cel = FindUnknowVar(varargin)

%
%  function cel = FindUnknowVar(...)
%    
%    Find out all the unknown variables in the input functions
%    and ouput the result into a cell.
%

num = nargin;
unknownvar = 'w, inf';

strg = 'cel = {';

for l = 1:num

  fun = varargin{l};
  unknown = findsym(fun);

  while ~isempty(unknown)
     [var, unknown] = strtok(unknown, ', ');
     if isempty(findstr(unknownvar, var))
        strg = [strg ' ''' var ''''];
        unknownvar = [unknownvar var];
     end
  end

end

strg = [strg '};'];
eval(strg);

